#include<stdio.h>

void unos(long int x[], long int y[],long int z[],long int n){
	int i;
	
	for(i=0;i<n;i++)
		scanf("%ld",&x[i]);
		
	for(i=0;i<n;i++)
		scanf("%ld",&y[i]);
		
	for(i=0;i<n;i++)
		scanf("%ld",&z[i]);
}

int postoji(long int x, long int y[],long int z[],long int n){
	int i,j,b=0;
	
	for(i=0;i<n;i++)
		if(x==y[i])
			for(j=0;j<n;j++)
				if(z[j]==i+1)
					b++;

	return b;
}

int zbir(long int x[], long int y[],long int z[],long int n){
	int i,s=0;
	
	for(i=0;i<n;i++)
		s+=postoji(x[i],y,z,n);
		
	return s;
}

int main(){
	long int n,i,s=0;
	
	scanf("%ld",&n);
	
	long int x[n],y[n],z[n];
	
	unos(x,y,z,n);
	
	printf("%ld",zbir(x,y,z,n));
	
	return 0;
}